@use "sass:map";
@import "../init";

// This file holds custom utility modifications, what means styles,
// NOT configuration.
// To add or modify BS $utilities use the _utilities.scss instead!

// ============================================================================
// Layout fixes & additions
// ============================================================================

// Remove padding from nested containers
// [class*="container"] [class*="container"] {
//   --bs-gutter-x: 0;
// }

// Add a .gy (vertical grid gutter) utility that simply reflects the
// horizontal gutter.
.gy-equal-x {
  row-gap: var(--bs-gutter-x, var(--bs-grid-gutter));
}

// ============================================================================
// Colors
// ============================================================================

// TODO: The problem is, this selector is very heavy.. overrides also the color
// of menu links for example. So we should not do it this way.
// [class*='text-bg-'] {
//   // Colorize links according to the text
//   a:not(.btn) {
//     color: currentColor;
//   }
// }

// ============================================================================
// Backdrop Filters
// ============================================================================

.backdrop-filter-blurred {
  backdrop-filter: blur(5px);
}

// ============================================================================
// Shadows
// ============================================================================

// Fix z-index for elements with shadow
[class*="shadow"] {
  position: relative;
  z-index: 1;
}

// ============================================================================
// Helper classes
// ============================================================================

// Visibility classes
// -- Hide elements (Important: Better use Drupal cores .element-invisible if
// the element needs to be readable by screen readers)
.hidden {
  display: none !important;
}
